Skip to main content
`Ctrl`+`K`

# TSTrajectorySetTransform

Solution vector will be transformed by provided function before being saved to disk

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetTransform(TSTrajectory tj, PetscErrorCode (*transform)(void *, Vec, Vec *), PetscCtxDestroyFn *destroy, void *tctx)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- transform - the transform function

- destroy - function to destroy the optional context

- tctx - optional context used by transform function

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectorySetVariableNames()`, `TSTrajectory`, `TSMonitorLGSetTransform()`

## Level

intermediate

## Location

src/ts/trajectory/interface/traj.c

## Examples

src/ts/tutorials/extchem.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages